# Create a contract

POST https://api.letsdeel.com/rest/v2/contracts/gp
Content-Type: application/json

Create a Global Payroll contract.
 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/endpoints/gp-hiring/create-gp-contract

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /contracts/gp:
    post:
      operationId: create-gp-contract
      summary: Create a contract
      description: |-
        Create a Global Payroll contract.
         **Token scopes**: `contracts:write`
      tags:
        - subpackage_gpHiring
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gp-hiring_createGPContract_Response_201'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAContract-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAContract-v2026-01-01RequestInternalServerError
      requestBody:
        description: Global Payroll (GP) contract object that needs to be created.
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: >-
            Refers to Groups in the platform. Working groups that reflect the
            organization's structure.
      required:
        - id
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientTeam
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the legal entity.
      required:
        - id
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClient:
      type: object
      properties:
        team:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientTeam
        legal_entity:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity
      required:
        - team
        - legal_entity
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClient
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddressCountry:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XA
        - XB
        - XC
        - XK
        - XX
        - YE
        - YT
        - ZA
        - ZM
        - ZW
      description: ISO 3166-1 alpha-2 country code.
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddressCountry
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddress:
      type: object
      properties:
        zip:
          type: string
          description: Postal or ZIP code.
        city:
          type: string
          description: City of residence.
        state:
          type: string
          description: State or province code.
        street:
          type: string
          description: Street name and building number.
        country:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddressCountry
          description: ISO 3166-1 alpha-2 country code.
      required:
        - zip
        - city
        - street
        - country
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddress
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeNationality:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XA
        - XB
        - XC
        - XK
        - XX
        - YE
        - YT
        - ZA
        - ZM
        - ZW
      description: Employee's nationality in ISO 3166-1 alpha-2 format.
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeNationality
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployee:
      type: object
      properties:
        email:
          type: string
          format: email
          description: >-
            Employee's personal email address used for communication and
            onboarding.
        address:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeAddress
        last_name:
          type: string
          description: Employee's last name.
        first_name:
          type: string
          description: Employee's first name.
        work_email:
          type: string
          format: email
          description: >-
            Employee's company email address associated with the client
            organization.
        nationality:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployeeNationality
          description: Employee's nationality in ISO 3166-1 alpha-2 format.
        employee_number:
          type: string
          description: Internal employee identifier within the client organization.
      required:
        - email
        - address
        - last_name
        - first_name
        - work_email
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployee
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentType:
      type: string
      enum:
        - Full-time
        - Part-time
      description: >-
        Employment type indicating whether the employee works full-time or
        part-time.
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentType
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentHolidays:
      type: object
      properties:
        allowance:
          type: number
          format: double
          description: Number of paid holiday days allocated per year.
        start_date:
          type: string
          format: date
          description: >-
            Date when the holiday entitlement becomes effective (ISO-8601
            YYYY-MM-DD).
      required:
        - allowance
        - start_date
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentHolidays
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployment:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentType
          description: >-
            Employment type indicating whether the employee works full-time or
            part-time.
        holidays:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmploymentHolidays
        start_date:
          type: string
          format: date
          description: Employment start date in ISO-8601 format (YYYY-MM-DD).
      required:
        - type
        - holidays
        - start_date
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployment
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataWorkLocation:
      type: object
      properties:
        name:
          type: string
          description: >-
            Name of the registered entity address where the employee works. Use
            'Remote' if applicable.
        is_wfh:
          type: boolean
          description: Indicates whether the employee works remotely.
        effective_date:
          type: string
          format: date
          description: Date when the work location becomes effective (ISO-8601 YYYY-MM-DD).
      required:
        - is_wfh
      description: Work location details for the employee. Required for US legal entities.
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaDataWorkLocation
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetailsScale:
      type: string
      enum:
        - YEAR
        - MONTH
      default: YEAR
      description: >-
        Defines whether the salary amount represents yearly or monthly gross
        compensation.
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetailsScale
    ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetails:
      type: object
      properties:
        scale:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetailsScale
          description: >-
            Defines whether the salary amount represents yearly or monthly gross
            compensation.
        salary:
          type: number
          format: double
          description: Gross salary amount based on the selected scale.
        currency:
          type: string
          description: >-
            Three-letter ISO 4217 currency code representing the salary
            currency.
      required:
        - scale
        - salary
      title: >-
        ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetails
    ContractsGpPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        client:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataClient
        employee:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployee
        job_title:
          type: string
          description: Employee's official job title as stated in the employment agreement.
        employment:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataEmployment
        work_location:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataWorkLocation
          description: >-
            Work location details for the employee. Required for US legal
            entities.
        compensation_details:
          $ref: >-
            #/components/schemas/ContractsGpPostRequestBodyContentApplicationJsonSchemaDataCompensationDetails
        invite_employee_to_app:
          type: boolean
          description: >-
            When true, the employee will receive an invitation to join the
            platform for onboarding.
      required:
        - client
        - employee
        - job_title
        - employment
        - compensation_details
      title: ContractsGpPostRequestBodyContentApplicationJsonSchemaData
    ContractsGpPostResponsesContentApplicationJsonSchemaDataType:
      type: string
      enum:
        - ongoing_time_based
        - milestones
        - time_based
        - pay_as_you_go_time_based
        - commission
        - payg_milestones
        - payg_tasks
        - eor
        - unknown
        - employee
        - global_payroll
        - shield_msa
        - hris_direct_employee
        - peo
      description: Type of a contract.
      title: ContractsGpPostResponsesContentApplicationJsonSchemaDataType
    ContractsGpPostResponsesContentApplicationJsonSchemaDataClientLegalEntity:
      type: object
      properties:
        name:
          type: string
          description: Legal entity name.
      title: >-
        ContractsGpPostResponsesContentApplicationJsonSchemaDataClientLegalEntity
    ContractsGpPostResponsesContentApplicationJsonSchemaDataClient:
      type: object
      properties:
        legal_entity:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataClientLegalEntity
      title: ContractsGpPostResponsesContentApplicationJsonSchemaDataClient
    ContractsGpPostResponsesContentApplicationJsonSchemaDataStatus:
      type: string
      enum:
        - new
        - under_review
        - waiting_for_employee_contract
        - waiting_for_client_sign
        - processing_payment
        - waiting_for_contractor_sign
        - waiting_for_eor_sign
        - waiting_for_employee_sign
        - awaiting_deposit_payment
        - in_progress
        - completed
        - cancelled
        - user_cancelled
        - rejected
        - waiting_for_client_payment
        - onboarding
      description: Status of a contract in Deel workflow.
      title: ContractsGpPostResponsesContentApplicationJsonSchemaDataStatus
    ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployee:
      type: object
      properties:
        email:
          type: string
          description: Employee's email address.
        last_name:
          type: string
          description: Employee's last name.
        first_name:
          type: string
          description: Employee's first name.
        employee_number:
          type:
            - string
            - 'null'
          description: Employee's number.
      title: ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployee
    ContractsGpPostResponsesContentApplicationJsonSchemaDataEmploymentHolidays:
      type: object
      properties:
        allowance:
          type: number
          format: double
          description: Number of holidays.
        start_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Long date-time format following ISO-8601.
      title: >-
        ContractsGpPostResponsesContentApplicationJsonSchemaDataEmploymentHolidays
    ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployment:
      type: object
      properties:
        type:
          type: string
          description: Is it a full-time contract or a part-time contract?
        state:
          type:
            - string
            - 'null'
          description: State code of the state/province where this person will be employed.
        country:
          type: string
          description: Country of employment.
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Long date-time format following ISO-8601.
        holidays:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataEmploymentHolidays
        start_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Long date-time format following ISO-8601.
        work_visa_required:
          type: boolean
          description: Do you require Deel to apply for a work visa for this person?
      title: ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployment
    ContractsGpPostResponsesContentApplicationJsonSchemaDataCompensationDetails:
      type: object
      properties:
        scale:
          type: string
          description: Scale at which the salary is paid.
        salary:
          type: number
          format: double
          description: Gross annual/month salary.
        currency:
          type: string
          description: Currency of gross annual/month salary.
      title: >-
        ContractsGpPostResponsesContentApplicationJsonSchemaDataCompensationDetails
    ContractsGpPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: Id of the contract created.
        type:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataType
          description: Type of a contract.
        client:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataClient
        status:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataStatus
          description: Status of a contract in Deel workflow.
        employee:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployee
        job_title:
          type: string
          description: Employee's job title.
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Long date-time format following ISO-8601.
        employment:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataEmployment
        compensation_details:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaDataCompensationDetails
      title: ContractsGpPostResponsesContentApplicationJsonSchemaData
    gp-hiring_createGPContract_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: gp-hiring_createGPContract_Response_201
    ContractsGpPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: ContractsGpPostResponsesContentApplicationJsonSchemaErrorsItems
    CreateAContract-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaErrorsItems
      title: CreateAContract-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    CreateAContract-v2026-01-01RequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsGpPostResponsesContentApplicationJsonSchemaErrorsItems
      title: CreateAContract-v2026-01-01RequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/contracts/gp"

payload = { "body": { "data": {
            "client": {
                "team": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6" },
                "legal_entity": { "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7" }
            },
            "employee": {
                "email": "jane.doe@example.com",
                "address": {
                    "zip": "80202",
                    "city": "Denver",
                    "street": "1234 Market St",
                    "country": "US"
                },
                "last_name": "Doe",
                "first_name": "Jane",
                "work_email": "jane.doe@company.com"
            },
            "job_title": "Senior Software Engineer",
            "employment": {
                "type": "Full-time",
                "holidays": {
                    "allowance": 15,
                    "start_date": "2024-01-01"
                },
                "start_date": "2024-01-01"
            },
            "compensation_details": {
                "scale": "YEAR",
                "salary": 95000
            }
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/contracts/gp';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"client":{"team":{"id":"3fa85f64-5717-4562-b3fc-2c963f66afa6"},"legal_entity":{"id":"7c9e6679-7425-40de-944b-e07fc1f90ae7"}},"employee":{"email":"jane.doe@example.com","address":{"zip":"80202","city":"Denver","street":"1234 Market St","country":"US"},"last_name":"Doe","first_name":"Jane","work_email":"jane.doe@company.com"},"job_title":"Senior Software Engineer","employment":{"type":"Full-time","holidays":{"allowance":15,"start_date":"2024-01-01"},"start_date":"2024-01-01"},"compensation_details":{"scale":"YEAR","salary":95000}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/contracts/gp"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"client\": {\n        \"team\": {\n          \"id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n        },\n        \"legal_entity\": {\n          \"id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\"\n        }\n      },\n      \"employee\": {\n        \"email\": \"jane.doe@example.com\",\n        \"address\": {\n          \"zip\": \"80202\",\n          \"city\": \"Denver\",\n          \"street\": \"1234 Market St\",\n          \"country\": \"US\"\n        },\n        \"last_name\": \"Doe\",\n        \"first_name\": \"Jane\",\n        \"work_email\": \"jane.doe@company.com\"\n      },\n      \"job_title\": \"Senior Software Engineer\",\n      \"employment\": {\n        \"type\": \"Full-time\",\n        \"holidays\": {\n          \"allowance\": 15,\n          \"start_date\": \"2024-01-01\"\n        },\n        \"start_date\": \"2024-01-01\"\n      },\n      \"compensation_details\": {\n        \"scale\": \"YEAR\",\n        \"salary\": 95000\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/contracts/gp")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"client\": {\n        \"team\": {\n          \"id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n        },\n        \"legal_entity\": {\n          \"id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\"\n        }\n      },\n      \"employee\": {\n        \"email\": \"jane.doe@example.com\",\n        \"address\": {\n          \"zip\": \"80202\",\n          \"city\": \"Denver\",\n          \"street\": \"1234 Market St\",\n          \"country\": \"US\"\n        },\n        \"last_name\": \"Doe\",\n        \"first_name\": \"Jane\",\n        \"work_email\": \"jane.doe@company.com\"\n      },\n      \"job_title\": \"Senior Software Engineer\",\n      \"employment\": {\n        \"type\": \"Full-time\",\n        \"holidays\": {\n          \"allowance\": 15,\n          \"start_date\": \"2024-01-01\"\n        },\n        \"start_date\": \"2024-01-01\"\n      },\n      \"compensation_details\": {\n        \"scale\": \"YEAR\",\n        \"salary\": 95000\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/contracts/gp")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"client\": {\n        \"team\": {\n          \"id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n        },\n        \"legal_entity\": {\n          \"id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\"\n        }\n      },\n      \"employee\": {\n        \"email\": \"jane.doe@example.com\",\n        \"address\": {\n          \"zip\": \"80202\",\n          \"city\": \"Denver\",\n          \"street\": \"1234 Market St\",\n          \"country\": \"US\"\n        },\n        \"last_name\": \"Doe\",\n        \"first_name\": \"Jane\",\n        \"work_email\": \"jane.doe@company.com\"\n      },\n      \"job_title\": \"Senior Software Engineer\",\n      \"employment\": {\n        \"type\": \"Full-time\",\n        \"holidays\": {\n          \"allowance\": 15,\n          \"start_date\": \"2024-01-01\"\n        },\n        \"start_date\": \"2024-01-01\"\n      },\n      \"compensation_details\": {\n        \"scale\": \"YEAR\",\n        \"salary\": 95000\n      }\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/contracts/gp', [
  'body' => '{
  "body": {
    "data": {
      "client": {
        "team": {
          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
        },
        "legal_entity": {
          "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
        }
      },
      "employee": {
        "email": "jane.doe@example.com",
        "address": {
          "zip": "80202",
          "city": "Denver",
          "street": "1234 Market St",
          "country": "US"
        },
        "last_name": "Doe",
        "first_name": "Jane",
        "work_email": "jane.doe@company.com"
      },
      "job_title": "Senior Software Engineer",
      "employment": {
        "type": "Full-time",
        "holidays": {
          "allowance": 15,
          "start_date": "2024-01-01"
        },
        "start_date": "2024-01-01"
      },
      "compensation_details": {
        "scale": "YEAR",
        "salary": 95000
      }
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/contracts/gp");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"client\": {\n        \"team\": {\n          \"id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n        },\n        \"legal_entity\": {\n          \"id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\"\n        }\n      },\n      \"employee\": {\n        \"email\": \"jane.doe@example.com\",\n        \"address\": {\n          \"zip\": \"80202\",\n          \"city\": \"Denver\",\n          \"street\": \"1234 Market St\",\n          \"country\": \"US\"\n        },\n        \"last_name\": \"Doe\",\n        \"first_name\": \"Jane\",\n        \"work_email\": \"jane.doe@company.com\"\n      },\n      \"job_title\": \"Senior Software Engineer\",\n      \"employment\": {\n        \"type\": \"Full-time\",\n        \"holidays\": {\n          \"allowance\": 15,\n          \"start_date\": \"2024-01-01\"\n        },\n        \"start_date\": \"2024-01-01\"\n      },\n      \"compensation_details\": {\n        \"scale\": \"YEAR\",\n        \"salary\": 95000\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "client": [
        "team": ["id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"],
        "legal_entity": ["id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"]
      ],
      "employee": [
        "email": "jane.doe@example.com",
        "address": [
          "zip": "80202",
          "city": "Denver",
          "street": "1234 Market St",
          "country": "US"
        ],
        "last_name": "Doe",
        "first_name": "Jane",
        "work_email": "jane.doe@company.com"
      ],
      "job_title": "Senior Software Engineer",
      "employment": [
        "type": "Full-time",
        "holidays": [
          "allowance": 15,
          "start_date": "2024-01-01"
        ],
        "start_date": "2024-01-01"
      ],
      "compensation_details": [
        "scale": "YEAR",
        "salary": 95000
      ]
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/contracts/gp")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```